summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Andrew Clemons <andrew.clemons@gmail.com>2017-01-11 07:22:18 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-01-11 07:22:18 +0700
commitfdc4bd1333c7aadbaf216a74cc5563bb5a8f5174 (patch)
tree41a2635186fb9daf6f330c4d803ce3573a433ac8 /system
parentafcd2cb4d566616735ace7e5e5e5b900ddab526e (diff)
downloadslackbuilds-fdc4bd1333c7aadbaf216a74cc5563bb5a8f5174.tar.gz
slackbuilds-fdc4bd1333c7aadbaf216a74cc5563bb5a8f5174.tar.xz
system/vtcol: Added (Colour schemes for the Linux console).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/vtcol/0001-Fix-building-against-current-rust-versions.patch.gzbin0 -> 1518 bytes
-rw-r--r--system/vtcol/README6
-rw-r--r--system/vtcol/README.Slackware14
-rw-r--r--system/vtcol/slack-desc19
-rw-r--r--system/vtcol/vtcol.SlackBuild88
-rw-r--r--system/vtcol/vtcol.info10
6 files changed, 137 insertions, 0 deletions
diff --git a/system/vtcol/0001-Fix-building-against-current-rust-versions.patch.gz b/system/vtcol/0001-Fix-building-against-current-rust-versions.patch.gz
new file mode 100644
index 0000000000..025e32c0eb
--- /dev/null
+++ b/system/vtcol/0001-Fix-building-against-current-rust-versions.patch.gz
Binary files differ
diff --git a/system/vtcol/README b/system/vtcol/README
new file mode 100644
index 0000000000..3deb84c245
--- /dev/null
+++ b/system/vtcol/README
@@ -0,0 +1,6 @@
+vtcol - Colour schemes for the Linux console
+
+Change the colour scheme of the virtual Linux console.
+
+Note:
+rust is a build-time dependency at build-time, not a runtime dep.
diff --git a/system/vtcol/README.Slackware b/system/vtcol/README.Slackware
new file mode 100644
index 0000000000..52164e358a
--- /dev/null
+++ b/system/vtcol/README.Slackware
@@ -0,0 +1,14 @@
+vtcol can be used in /etc/rc.d/rc.local to set the colour scheme at boot:
+
+vtcol --scheme solarized_light
+
+It is also possible to add it to your initrd to have the colour scheme set early in the boot process.
+
+Example:
+
+kernel=4.4.38
+mkinitrd -c -k "$kernel" -f ext4 -r /dev/disk/by-uuid/<some uuid> -m ext4:<more modules> -u -o /boot/initrd-"$kernel".gz -s
+/tmp/initrd-tree-"$kernel"
+install -m 755 /usr/bin/vtcol "/tmp/initrd-tree-$kernel/bin/vtcol"
+sed -i '159i \/bin\/vtcol --scheme solarized_dark' /tmp/initrd-tree-"$kernel"/init
+mkinitrd -k "$kernel" -f ext4 -r /dev/disk/by-uuid/<some uuid> -u -o /boot/initrd-"$kernel".gz -s /tmp/initrd-tree-"$kernel"
diff --git a/system/vtcol/slack-desc b/system/vtcol/slack-desc
new file mode 100644
index 0000000000..a0c62537a8
--- /dev/null
+++ b/system/vtcol/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+vtcol: vtcol (Colour schemes for the Linux console)
+vtcol:
+vtcol: Change the colour scheme of the virtual Linux console.
+vtcol:
+vtcol:
+vtcol:
+vtcol:
+vtcol: https://github.com/phi-gamma/vtcol
+vtcol:
+vtcol:
+vtcol:
diff --git a/system/vtcol/vtcol.SlackBuild b/system/vtcol/vtcol.SlackBuild
new file mode 100644
index 0000000000..60c3f15321
--- /dev/null
+++ b/system/vtcol/vtcol.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for vtcol
+
+# Copyright 2017 Andrew Clemons, Wellington New Zealand
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=vtcol
+GITREV=${GITREV:-3592d70fd18686ca984db32204e6dcccd05731eb}
+VERSION=${VERSION:-git3592d70}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$GITREV
+tar xvf $CWD/$PRGNAM-$GITREV.tar.gz
+cd $PRGNAM-$GITREV
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+zcat $CWD/0001-Fix-building-against-current-rust-versions.patch.gz | patch -p1
+
+cargo build --release
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/bin/
+
+install -m 755 target/release/vtcol $PKG/usr/bin
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING doc $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/vtcol/vtcol.info b/system/vtcol/vtcol.info
new file mode 100644
index 0000000000..d3d1e2e259
--- /dev/null
+++ b/system/vtcol/vtcol.info
@@ -0,0 +1,10 @@
+PRGNAM="vtcol"
+VERSION="git3592d70"
+HOMEPAGE="https://github.com/phi-gamma/vtcol"
+DOWNLOAD="https://github.com/phi-gamma/vtcol/archive/3592d70fd18686ca984db32204e6dcccd05731eb/vtcol-3592d70fd18686ca984db32204e6dcccd05731eb.tar.gz"
+MD5SUM="aa6837ebd9cd98ef49ddf87f6489f802"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="rust"
+MAINTAINER="Andrew Clemons"
+EMAIL="andrew.clemons@gmail.com"